.grid {
  display: grid;
}

.grid-sm {
  grid-template-columns: repeat(auto-fill, minmax(32px, 1fr));
  grid-gap: 8px;
}

.grid-md {
  grid-template-columns: repeat(auto-fill, minmax(38px, 1fr));
  grid-gap: 12px;
}

.grid-lg {
  grid-template-columns: repeat(auto-fill, minmax(44px, 1fr));
  grid-gap: 16px;
}

.link {
  background-image: linear-gradient(145deg, #E5E7EB, #ffffff);
}

.link-sm {
  line-height: 32px;
  font-size: 18px;
}

.link-md {
  line-height: 38px;
  font-size: 24px;
}

.link-lg {
  line-height: 44px;
  font-size: 28px;
}

.link:hover {
  background-image: linear-gradient(145deg, #ffffff, #E5E7EB);
  transform: scale(1.05);
}

@media (min-width: 1024px) {
  .grid-sm {
    grid-template-columns: repeat(auto-fill, minmax(36px, 1fr));
    grid-gap: 10px;
  }

  .link-sm {
    line-height: 36px;
    font-size: 20px;
  }

  .grid-md {
    grid-template-columns: repeat(auto-fill, minmax(42px, 1fr));
    grid-gap: 14px;
  }

  .link-md {
    line-height: 42px;
    font-size: 26px;
  }

  .grid-lg {
    grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
    grid-gap: 18px;
  }

  .link-lg {
    line-height: 50px;
    font-size: 32px;
  }
}
